﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MT.aspx.cs" Inherits="MS_OSPFM.MT" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <script type="text/javascript">
        
        var measureLineControl; 
        var OnMapCreated = function(map) {

            var displayLayer = new OpenLayers.Layer.Vector('displayLayer');
            map.addLayer(displayLayer);

            measureLineControl = new OpenLayers.Control.Measure(OpenLayers.Handler.Path, { persist: true });
            measureLineControl.events.on({
                "measure": handleMeasurementCompleted,
                "measurepartial": handleMeasurements
            });

            map.addControl(measureLineControl);
            //measureLineControl.activate();
        }

        function activate() {
            //alert(measureLineControl);
            measureLineControl.activate();
        }

        function deactivate() {
            measureLineControl.deactivate();
        }

        function handleMeasurements(event) {
            var geometry = event.geometry;
            var units = event.units;
            var order = event.order;
            var measure = event.measure;
            var miles = measure * 0.621371192;
            var feets = miles * 5280; 
            var element = document.getElementById('output');
            var out = "";
            if (order == 1) {
                out += "Distance: " + miles.toFixed(2) + " mile(s) ," + feets.toFixed(2) + " feet(s)";
            } else {
            out += "Distance: " + miles.toFixed(2) + " mile(s) ,"  + feets.toFixed(2) + "feet(s)" + "<sup>2</" + "sup>";
            }
            element.innerHTML = out;
        }

        function handleMeasurementCompleted(event) {

            var parser = Map1.GetMapParser();
            var displayLayer = parser.map.getLayersByName('displayLayer')[0];

            var feature = new OpenLayers.Feature.Vector(event.geometry);
            displayLayer.addFeatures([feature]);
        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:Button ID="btnMeasureLine" runat="server" Text="Measure line" OnClientClick="javascript:activate();"/>
            <asp:Button ID="btnNormal" runat="server" Text="Clear" OnClientClick="javascript:deactivate();"/>
            <cc1:Map ID="Map1" runat="server" Width="650" Height="500px"></cc1:Map>
        </ContentTemplate>
        </asp:UpdatePanel>

    </div>
    <div id="output">
    </div>
    </form>
</body>
</html>
